### Method

# FwupdPlugin HidDevice get_report

#### Declaration [src]

    gboolean
    fu_hid_device_get_report (
      FuHidDevice* self,
      guint8 value,
      guint8* buf,
      gsize bufsz,
      guint timeout,
      FuHidDeviceFlags flags,
      GError** error
    )

#### Description [src]

Calls GetReport on the hardware.

Available since: | 1.4.0

#### Parameters

`value` | `guint8`
| Low byte of wValue, but unused when using `FU_HID_DEVICE_FLAG_USE_INTERRUPT_TRANSFER`.
`buf` | `guint8*`
| A mutable buffer of data to send.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`bufsz` | `gsize`
| Size of `buf`.
`timeout` | `guint`
| Timeout in ms.
`flags` | `FuHidDeviceFlags`
| HID device flags e.g. `FU_HID_DEVICE_FLAG_ALLOW_TRUNC`.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` for success.